## org.apache.poi.poifs.property
Class DocumentProperty

    java.lang.Object
      org.apache.poi.poifs.property.Property
          org.apache.poi.poifs.property.DocumentProperty

All Implemented Interfaces:
  Child, POIFSViewable

public class DocumentProperty
extends Property

Trivial extension of Property for POIFSDocuments

Author:
  Marc Johnson (mjohnson at apache dot org)

Field Summary

Fields inherited from class org.apache.poi.poifs.property.Property
`_NO_INDEX, _NODE_BLACK, _NODE_RED`

Constructor Summary
`protected` `DocumentProperty(int index, byte[] array, int offset)` reader constructor
`` `DocumentProperty(java.lang.String name, int size)` Constructor

Method Summary
`POIFSDocument` `getDocument()` get the POIFSDocument
`boolean` `isDirectory()`
`protected void` `preWrite()` Perform whatever activities need to be performed prior to writing
`void` `setDocument(POIFSDocument doc)` set the POIFSDocument
`boolean` `shouldUseSmallBlocks()` give method more visibility

Methods inherited from class org.apache.poi.poifs.property.Property
`getChildIndex, getIndex, getName, getNextChild, getPreviousChild, getShortDescription, getSize, getStartBlock, getStorageClsid, getViewableArray, getViewableIterator, isSmall, preferArray, setChildProperty, setIndex, setName, setNextChild, setNodeColor, setPreviousChild, setPropertyType, setSize, setStartBlock, setStorageClsid, writeData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentProperty

    public DocumentProperty(java.lang.String name,
                            int size)

  Constructor

Parameters:
  `name` - POIFSDocument name
  `size` - POIFSDocument size

### DocumentProperty

    protected DocumentProperty(int index,
                               byte[] array,
                               int offset)

  reader constructor

Parameters:
  `index` - index number
  `array` - byte data
  `offset` - offset into byte data

Method Detail

### setDocument

    public void setDocument(POIFSDocument doc)

  set the POIFSDocument

  Parameters:
    `doc` - the associated POIFSDocument

### getDocument

    public POIFSDocument getDocument()

  get the POIFSDocument

  Returns:
    the associated document

### shouldUseSmallBlocks

    public boolean shouldUseSmallBlocks()

  give method more visibility

  Overrides:
    `shouldUseSmallBlocks` in class `Property`
  Returns:
    true if this property should use small blocks

### isDirectory

    public boolean isDirectory()

  Specified by:
    `isDirectory` in class `Property`
  Returns:
    true if a directory type Property

### preWrite

    protected void preWrite()

  Perform whatever activities need to be performed prior to writing

  Specified by:
    `preWrite` in class `Property`

Copyright © 2003 Apache Software Foundation.